# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from artemis.api import artemis_pb2 as weclikd_dot_service_dot_artemis__pb2


class ArtemisStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.AddExternalFeed = channel.unary_unary(
        '/weclikd.Artemis/AddExternalFeed',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.AddExternalFeedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.AddExternalFeedResponse.FromString,
        )
    self.RemoveExternalFeed = channel.unary_unary(
        '/weclikd.Artemis/RemoveExternalFeed',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.RemoveExternalFeedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.RemoveExternalFeedResponse.FromString,
        )
    self.GetExternalFeedInfos = channel.unary_unary(
        '/weclikd.Artemis/GetExternalFeedInfos',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedInfosRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedInfosResponse.FromString,
        )
    self.GetExternalFeeds = channel.unary_unary(
        '/weclikd.Artemis/GetExternalFeeds',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedsResponse.FromString,
        )
    self.PollAllExternalFeeds = channel.unary_unary(
        '/weclikd.Artemis/PollAllExternalFeeds',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.PollAllExternalFeedsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.PollAllExternalFeedsResponse.FromString,
        )
    self.ProcessExternalFeedItem = channel.unary_unary(
        '/weclikd.Artemis/ProcessExternalFeedItem',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.ProcessExternalFeedItemRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.ProcessExternalFeedItemResponse.FromString,
        )
    self.Unfurl = channel.unary_unary(
        '/weclikd.Artemis/Unfurl',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.UnfurlRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.UnfurlResponse.FromString,
        )
    self.DownloadImage = channel.unary_unary(
        '/weclikd.Artemis/DownloadImage',
        request_serializer=weclikd_dot_service_dot_artemis__pb2.DownloadImageRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_artemis__pb2.DownloadImageResponse.FromString,
        )


class ArtemisServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def AddExternalFeed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def RemoveExternalFeed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetExternalFeedInfos(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetExternalFeeds(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def PollAllExternalFeeds(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ProcessExternalFeedItem(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Unfurl(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def DownloadImage(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_ArtemisServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'AddExternalFeed': grpc.unary_unary_rpc_method_handler(
          servicer.AddExternalFeed,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.AddExternalFeedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.AddExternalFeedResponse.SerializeToString,
      ),
      'RemoveExternalFeed': grpc.unary_unary_rpc_method_handler(
          servicer.RemoveExternalFeed,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.RemoveExternalFeedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.RemoveExternalFeedResponse.SerializeToString,
      ),
      'GetExternalFeedInfos': grpc.unary_unary_rpc_method_handler(
          servicer.GetExternalFeedInfos,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedInfosRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedInfosResponse.SerializeToString,
      ),
      'GetExternalFeeds': grpc.unary_unary_rpc_method_handler(
          servicer.GetExternalFeeds,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.GetExternalFeedsResponse.SerializeToString,
      ),
      'PollAllExternalFeeds': grpc.unary_unary_rpc_method_handler(
          servicer.PollAllExternalFeeds,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.PollAllExternalFeedsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.PollAllExternalFeedsResponse.SerializeToString,
      ),
      'ProcessExternalFeedItem': grpc.unary_unary_rpc_method_handler(
          servicer.ProcessExternalFeedItem,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.ProcessExternalFeedItemRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.ProcessExternalFeedItemResponse.SerializeToString,
      ),
      'Unfurl': grpc.unary_unary_rpc_method_handler(
          servicer.Unfurl,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.UnfurlRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.UnfurlResponse.SerializeToString,
      ),
      'DownloadImage': grpc.unary_unary_rpc_method_handler(
          servicer.DownloadImage,
          request_deserializer=weclikd_dot_service_dot_artemis__pb2.DownloadImageRequest.FromString,
          response_serializer=weclikd_dot_service_dot_artemis__pb2.DownloadImageResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Artemis', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
